<?php
require_once("template.php");

if(isset($_POST['id']) && $_POST['id']!=""){ //si l'id est renseigné il s'agit d'une modification
    if(isset($_POST["aliment"]) && isset($_POST["cat"])){
        $requete= "UPDATE `aliments` SET `aliment` = '".$_POST['aliment']."', `calories` = '".$_POST['calories']."', `type` = '".$_POST['cat']."' WHERE `aliments`.`id_aliment` = ".$_POST['id'];
        $mysqli->query($requete);
        $msg="L'aliment a bien été modifié";
    }
    else{
        $msg="Il manque des informations";
    }
    
}
else{ //sinon il s'agit d'un ajout 
    if(isset($_POST["aliment"]) && isset($_POST["calories"]) && isset($_POST["cat"])){ 
        $requete="INSERT INTO `aliments` (`id_aliment`,`aliment`, `calories`,`type`) VALUES (NULL, '" .$_POST['aliment'] . "', '" .$_POST['calories'] . "', '" . $_POST['cat'] . "')";
        $mysqli->query($requete);
        $msg="L'aliment a bien été ajouté";
    } else{
        $msg="Il manque des informations";
    }
}

echo $msg; 


